> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team member

> Get a team member by ID.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/team-members.yaml GET /team-members/{team_member_id}
openapi: 3.0.3
info:
  title: NeetoCal Team Members APIs
  version: 2.0.0
servers:
  - description: NeetoCal APIs
    url: https://{your-subdomain}.neetocal.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Team Members
    description: APIs to manage team members in the workspace.
paths:
  /team-members/{team_member_id}:
    get:
      tags:
        - Team Members
      summary: Get team member details
      description: Get a team member by ID.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - in: path
          name: team_member_id
          description: >-
            Id of the team member that you want to retrieve. You can get
            `team_member_id` by listing all team members using our [List team
            members](/api-reference/team-members/list) API. Here you will see id
            for each team member.
          required: true
          schema:
            type: string
            format: uuid
            example: 13c02be6-8bd4-4dda-b9e6-07df53feb8a4
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  team_member:
                    $ref: '#/components/schemas/team_member'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: >-
        Specifies the expected response format. Must be set to
        `application/json` for proper API communication.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
  schemas:
    team_member:
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        time_zone:
          type: string
        profile_image_url:
          type: string
          nullable: true
        active:
          type: boolean
        organization_role:
          type: string

````